/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
/* NetworkManager system settings service
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2008 - 2019 Mikhail Efremov <sem@altlinux.org>
 */

#include "nms-etcnet-alt-common.h"

char *
get_iface_name (const char *iface_path)
{
	return g_path_get_basename (iface_path);
}

char *
get_filename_with_profile(const char *file, const char *profile)
{
	return profile != NULL ? g_strdup_printf("%s#%s", file, profile) : g_strdup(file);
}
