/* NetworkManager system settings service
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2008 - 2019 Mikhail Efremov <sem@altlinux.org>
 */

#ifndef _PLUGIN_H_
#define _PLUGIN_H_

#define SETTINGS_TYPE_PLUGIN_ETCNET            (settings_plugin_etcnet_get_type ())
#define SETTINGS_PLUGIN_ETCNET(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), SETTINGS_TYPE_PLUGIN_ETCNET, SettingsPluginEtcnet))
#define SETTINGS_PLUGIN_ETCNET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), SETTINGS_TYPE_PLUGIN_ETCNET, SettingsPluginEtcnetClass))
#define SETTINGS_IS_PLUGIN_ETCNET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SETTINGS_TYPE_PLUGIN_ETCNET))
#define SETTINGS_IS_PLUGIN_ETCNET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), SETTINGS_TYPE_PLUGIN_ETCNET))
#define SETTINGS_PLUGIN_ETCNET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), SETTINGS_TYPE_PLUGIN_ETCNET, SettingsPluginEtcnetClass))

typedef struct _SettingsPluginEtcnet SettingsPluginEtcnet;
typedef struct _SettingsPluginEtcnetClass SettingsPluginEtcnetClass;

GType settings_plugin_etcnet_get_type (void);

#endif	/* _PLUGIN_H_ */
